function initialize() {
    var mapOptions = {
      center: new google.maps.LatLng(41.652393,1.691895),
      zoom: 8,
      mapTypeId: google.maps.MapTypeId.ROADMAP,
    };
    var map = new google.maps.Map(document.getElementById("mapa"),
        mapOptions);

    // marcador 1
    var marker1 = new google.maps.Marker({
    position: new google.maps.LatLng(41.385064, 2.173404),
    map: map,
    });

    // InfoWindow para el marcador 1
    var infowindow1 = new google.maps.InfoWindow({
    content: 'Barcelona<br /><a href="http://es.wikipedia.org/wiki/Barcelona" target="_blank">Wikipedia</a>'
    });

    // Aadimos un evento de clic al marcador
	
    google.maps.event.addListener(marker1, 'click', function() {
   
   // Llamamos el mtodo open del InfoWindow
    infowindow1.open(map, marker1);
    });
		
    // -------- final del marcador 1


    var marker2 = new google.maps.Marker({
    position: new google.maps.LatLng(41.9794, 2.821426),
    map: map,
    });

    var infowindow2 = new google.maps.InfoWindow({
    content: 'Girona<br /><a href="http://es.wikipedia.org/wiki/Gerona" target="_blank">Wikipedia</a>'
    });

    google.maps.event.addListener(marker2, 'click', function() {

    infowindow2.open(map, marker2);
    });

    var marker3 = new google.maps.Marker({
    position: new google.maps.LatLng(41.119019, 1.245212),
    map: map,
    });

    var infowindow3 = new google.maps.InfoWindow({
    content: 'Tarragona<br /><a href="http://es.wikipedia.org/wiki/Tarragona" target="_blank">Wikipedia</a>'
    });

    google.maps.event.addListener(marker3, 'click', function() {
    infowindow3.open(map, marker3);
    });

  }
  google.maps.event.addDomListener(window, 'load', initialize);