	window.onload = function() {
	
	// JSON
		var json = [
		    {
		        "title": "Barcelona",
		        "lat": 41.385064,
		        "lng": 2.173404,
		        "description": "<h1>Barcelona</h1><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>"
		    },
		    {
		        "title": "Girona",
		        "lat": 41.9794,
		        "lng": 2.821426,
		        "description": "<h1>Girona</h1><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>"
		    },
		    {
		        "title": "Tarragona",
		        "lat": 41.119019,
		        "lng": 1.245212,
		        "description": "<h1>Tarragona</h1><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>"
		    },
			{
		        "title": "Lleida",
		        "lat": 41.60034,
		        "lng": 0.609762,
		        "description": "<h1>Lleida</h1><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>"
		    }
		]

		// Creamos un nuevo mapa
		var map = new google.maps.Map(document.getElementById("mapa"), {
          center: new google.maps.LatLng(41.652393, 1.691895),
          zoom: 8,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        });

		// Creating un objeto InfoWindow global que reutilizarn todos los marcadores
		var infoWindow = new google.maps.InfoWindow();

		// Bucle a travs del JSON
		for (var i = 0, length = json.length; i < length; i++) {
			var data = json[i],
				latLng = new google.maps.LatLng(data.lat, data.lng);

			// Creamos un marcador y lo ubicamos en el mapa
			var marker = new google.maps.Marker({
				position: latLng,
				map: map,
				title: data.title
			});

			// Creamos un closure para retener los datos correctos (los pasamos a (marker, data)
			(function(marker, data) {

				// Attaching a click event to the current marker
				google.maps.event.addListener(marker, "click", function(e) {
					infoWindow.setContent(data.description);
					infoWindow.open(map, marker);
				});


			})(marker, data);

		}

	}