	var map;
	var marcadores = [];
	var InfoWindows = [];
	
	function mapInit(){
		var catalunya = new google.maps.LatLng(41.387325,2.17332);
		var mapOptions = {
			zoom: 16,
			center: catalunya,
			mapTypeId: google.maps.MapTypeId.TERRAIN
		};
		map = new google.maps.Map(document.getElementById("map"), mapOptions);
		
		$.getJSON("datos.json", {}, function(data){
			$.each(data.poi, function(i, objeto){
				$("#markers").append('<li><a href="#" rel="' + i + '">' + objeto.nombre + '</a></li>');
				var marcador = new google.maps.Marker({
					position: new google.maps.LatLng(objeto.lat, objeto.lng),
					map: map,
					title: objeto.nombre
				});
				marcadores[i] = marcador;
				var infowindow = new google.maps.InfoWindow({
					content: "<h3>"+ objeto.nombre +"</h3><p>"+ objeto.descripcion +"</p>"
				});
				InfoWindows[i] = infowindow;
				google.maps.event.addListener(marcador, 'click', function() {
					infowindow.open(map, marcador);
				});
			});
		});
	}
	$(function(){
		// initialize map (create markers, infowindows and list)
		mapInit();
		
		// "live" bind click event
		$("#markers a").live("click", function(){
			var i = $(this).attr("rel");
			// this next line closes all open infowindows before opening the selected one
			for(x=0; x < InfoWindows.length; x++){ InfoWindows[x].close(); }
			InfoWindows[i].open(map, marcadores[i]);
		});
	});