(function() {
var map;
window.onload = function() {

// Creamos el mapa
var options = {
zoom: 1,
center: new google.maps.LatLng(31.35, 3.51),
mapTypeId: google.maps.MapTypeId.ROADMAP
};
map = new google.maps.Map(document.getElementById('mapa'), options);

// Comprobamos si la geolocalizacin es posible
if (geo_position_js.init()) {

// Creamos el objeto settings
var settings = {
enableHighAccuracy: true
};

// Intentamos determinar la ubicacin del usuario
geo_position_js.getCurrentPosition(setPosition, handleError, settings);
} else {
alert('No es posible geolocalizar ');
}
};
function handleError(error) {
alert('Error = ' + error.message);
}
function setPosition(position) {

// Creamos la variable latLng con la posicin del usuario
var latLng = new google.maps.LatLng(position.coords.latitude,
position.coords.longitude);

// Aadimos un marcador al mapa
var marker = new google.maps.Marker({
position: latLng,
map: map
});

// Creamos un InfoWindow
var infoWindow = new google.maps.InfoWindow({
content: 'Est&aacute;s aqu&iacute;'
});

// Aadimos el InfoWindow al mapa y el marcador
infoWindow.open(map, marker);

// Zoom sobre el mapa
map.setZoom(6);
}
})();