
window.onload = function() {
  var citymap = {
  Barcelona: {
    center: {lat: 41.381601, lng: 2.172852},
    population: 5524000
  },
  Tarragona: {
    center: {lat: 41.117280, lng: 1.250000},
    population: 800962
  },
  Lérida: {
    center: {lat: 41.624323, lng: 0.623779},
    population: 438001
  },
  Gerona: {
    center: {lat: 41.984658, lng: 2.821045},
    population: 706185
  }
};

var mapa = new google.maps.Map(document.getElementById('map'), {
zoom: 8,
center: {lat: 41.652393, lng: 1.691895},
mapTypeId: google.maps.MapTypeId.ROADMAP
});
for (var city in citymap) {
var cityCircle = new google.maps.Circle({
strokeColor: '#0000FF',
strokeOpacity: 0.8,
strokeWeight: 2,
fillColor: '#5882FA',
fillOpacity: 0.35,
map: mapa,
center: citymap[city].center,
radius: Math.sqrt(citymap[city].population) * 10
});
}

}

